Subject: Re: linux-next: manual merge of the slab tree with the ftrace tree

From: Ingo Molnar <[email-masked]>
Date: Fri, 20 Feb 2009 10:37:34 +0100

* Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> On Fri, 20 Feb 2009 16:57:28 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > @@@ -2723,18 -2689,9 +2727,19 @@@ static void *kmalloc_large_node(size_t 
> >   void *__kmalloc_node(size_t size, gfp_t flags, int node)
> >   {
> >   	struct kmem_cache *s;
> >  +	void *ret;
> >   
> >  -	if (unlikely(size > SLUB_MAX_SIZE))
> >  -		return kmalloc_large_node(size, flags, node);
> > ++	if (unlikely(size > SLUB_MAX_SIZE)) {
> >  +	if (unlikely(size > PAGE_SIZE)) {
> 
> Except I screwed that up.  I meant to delete the last line 
> above.  I will add a patch to the end of linux-next for today.

Hm, i'd love to eliminate the conflict, but it would either mean 
us to pull the slab tree into the tracing tree, or the other way 
around - and both have quite many items queued up to make this 
impractical.

	Ingo